%global srcname psycopg2

%global common_description %{expand:
Psycopg is the most popular PostgreSQL adapter for the Python programming
language. At its core it fully implements the Python DB API 2.0 specifications.
Several extensions allow access to many of the features offered by PostgreSQL.}


Summary:        PostgreSQL database adapter for Python
Name:           python3-%{srcname}
Version:        2.7.7
Release:        1%{?dist}
# The exceptions allow linking to OpenSSL and PostgreSQL's libpq
License:        LGPLv3+ with exceptions
URL:            http://initd.org/psycopg/
Source0:        http://initd.org/psycopg/tarballs/PSYCOPG-2-7/psycopg2-%{version}.tar.gz
# https://github.com/psycopg/psycopg2/blob/2_7_5/doc/src/install.rst#prerequisites
BuildRequires:  postgresql-devel > 9.1
BuildRequires:  gcc


%description %{common_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        PostgreSQL database adapter for Python %{python3_version}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools


%description -n python%{python3_pkgversion}-%{srcname} %{common_description}


%package -n python%{python3_pkgversion}-%{srcname}-tests
Summary:        Test suite for python%{python3_pkgversion}-%{srcname}
Requires:       python%{python3_pkgversion}-%{srcname} = %{version}-%{release}


%description -n python%{python3_pkgversion}-%{srcname}-tests %{common_description}

This sub-package delivers set of tests for the adapter.


%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        PostgreSQL database adapter for Python %{python3_other_version}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools


%description -n python%{python3_other_pkgversion}-%{srcname} %{common_description}


%package -n python%{python3_other_pkgversion}-%{srcname}-tests
Summary:        Test suite for python%{python3_other_pkgversion}-%{srcname}
Requires:       python%{python3_other_pkgversion}-%{srcname} = %{version}-%{release}


%description -n python%{python3_other_pkgversion}-%{srcname}-tests %{common_description}

This sub-package delivers set of tests for the adapter.


%prep
%setup -q -n %{srcname}-%{version}
# delete shebangs
find -name \*.py | xargs sed -i -e '1 {/^#!/d}'


%build
%py3_build
%py3_other_build


%install
%py3_install
%py3_other_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS NEWS README.rst
%{python3_sitearch}/%{srcname}
%exclude %{python3_sitearch}/psycopg2/tests
%{python3_sitearch}/%{srcname}-%{version}-py%{python3_version}.egg-info


%files -n python%{python3_pkgversion}-%{srcname}-tests
%{python3_sitearch}/psycopg2/tests


%files -n python%{python3_other_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS NEWS README.rst
%{python3_other_sitearch}/%{srcname}
%exclude %{python3_other_sitearch}/psycopg2/tests
%{python3_other_sitearch}/%{srcname}-%{version}-py%{python3_other_version}.egg-info


%files -n python%{python3_other_pkgversion}-%{srcname}-tests
%{python3_other_sitearch}/psycopg2/tests


%changelog
* Wed Feb 20 2019 Carl George <carl@george.computer> - 2.7.7-1
- Latest upstream

* Thu Jul 12 2018 Carl George <carl@george.computer> - 2.7.5-1
- Initial EPEL package, based on Fedora's python-psycopg2
